import { reactive, computed } from 'vue';

const state = reactive({
    disclaimerAgreement: false,
    enabledRegions: ['thorax','abdomen','limbs'],
    version: '0.4.0'
  })

const agree = () => {
  state.disclaimerAgreement = true
}

export default () => ({
  isAgreed: computed(() => state.disclaimerAgreement),
  getRegions: computed(() => state.enabledRegions),
  getVersion: computed(() => state.version),
  agree
})
